Name:           xmonad-log-applet
Version:        2.0.0
Release:        1%{?dist}
Summary:        Panel applet to display Xmonad log information
Group:          User Interface/X
License:        BSD
URL:            https://github.com/alexkay/xmonad-log-applet
Source0:        https://github.com/downloads/alexkay/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-plugindir.patch
Patch1:         %{name}-empty-dbus-services-dir.patch

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libxfce4panel-1.0)

%description
xmonad-log-applet is for Xmonad users who find the GNOME or Xfce panel useful.
The applet will show the active workspaces, the title of the selected window,
or any other information you send it from your xmonad.hs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
aclocal
automake
autoconf

%build
%configure --with-panel=xfce4
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README.md LICENSE AUTHORS.md
%{_libdir}/xfce4/panel/plugins/%{name}
%{_datadir}/xfce4/panel-plugins/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Sat Apr 21 2012 Dan Callaghan <dcallagh@redhat.com> 2.0.0-1
- initial version
